﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace _7664_Width
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }


        int start = 0;
        float width = 0;
        bool mousedown = false;


        private void Form1_Load(object sender, EventArgs e)
        {
            fpSpread1.ActiveSheet.ColumnHeader.Visible = false;
            fpSpread1.MouseDown += new MouseEventHandler(fpSpread1_MouseDown);
            fpSpread1.MouseUp += new MouseEventHandler(fpSpread1_MouseUp);
            fpSpread1.MouseMove += new MouseEventHandler(fpSpread1_MouseMove);
        }
        
        private void fpSpread1_MouseMove(object sender, MouseEventArgs e)
        {
            if (mousedown && e.Button == System.Windows.Forms.MouseButtons.Left)
            {
                fpSpread1.ActiveSheet.ActiveColumn.Width = width + (e.X - start);
            }
        }

        void fpSpread1_MouseDown(object sender, MouseEventArgs e)
        {
            if (e.Button == System.Windows.Forms.MouseButtons.Left)
            {
                fpSpread1.Cursor = Cursors.VSplit;
                start = e.X;
                mousedown = true;
                width = fpSpread1.ActiveSheet.ActiveColumn.Width;
            }
        }

        void fpSpread1_MouseUp(object sender, MouseEventArgs e)
        {
            if (mousedown && e.Button == System.Windows.Forms.MouseButtons.Left)
            {
                start = 0;
                width = 0;
                mousedown = false;
            }
        }
    }
}
